Bug 474709 - R2spec 2.5.1-1 copy problem
R2spec 2.5.1-1 copy problem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: R2spec (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 17:26 EST by R P Herrold
Modified: 2009-01-07 04:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:10:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2008-12-04 17:26:34 EST
Description of problem:

R2spec fails for no appearent reason in the tarball cp (although called a move) to ~/rpmbuild/SOURCES/

Version-Release number of selected component (if applicable):

2.5.1-1

How reproducible:
[herrold@centos-5 R2spec]$ R2spec -u http://cran.r-project.org/src/contrib/IBrokers_0.1-3.tar.gz --cran

The file IBrokers_0.1-3.tar.gz already exist, there is no need to download it again.

**************************************************
* Name of the packager =
* Mail of the packager =
* Name of the library = IBrokers
* Version of the library = 0.1
* Summary of the library =  R API to Interactive Brokers Trader Workstation
* Description of the library =
    Provides native Raccess to Interactive Brokers Trader Workstation API.
* License of the library = GPL-3
* The package is = Noarch
* Date of the spec file = Thu Dec 04 2008
**************************************************

 Generate the spec file

The specfile R-IBrokers.spec already exist !
Do you want to overwrite it ? Y/N [N]
y
/home/herrold/build/R2spec R-IBrokers.spec
Done
TODO:
 * Add Summary
 * Add/Check description
 * Check license
 * Add/Check Source0 and URL
 * Check Arch - We detected it as Noarch package but it needs to be checked, use rpmlint for it
 * Change Requires and BuildRequires
 * Change %files

Do you want to move the source (IBrokers_0.1-3.tar.gz) in /home/herrold/rpmbuild/SOURCES/? Y/N [Y]
y
cp ./IBrokers_0.1-3.tar.gz to /home/herrold/rpmbuild/SOURCES/
Can not copy the source to  /home/herrold/rpmbuild/SOURCES/
[herrold@centos-5 R2spec]$ stat /home/herrold/rpmbuild/SOURCES/
  File: `/home/herrold/rpmbuild/SOURCES/'
  Size: 4096            Blocks: 16         IO Block: 4096   directory
Device: 14h/20d Inode: 49741835    Links: 2
Access: (0775/drwxrwxr-x)  Uid: (  500/ herrold)   Gid: (  500/ herrold)
Access: 2008-12-04 17:19:10.000000000 -0500
Modify: 2008-12-04 17:12:59.000000000 -0500
Change: 2008-12-04 17:12:59.000000000 -0500
[herrold@centos-5 R2spec]$ ls -al ./IBrokers_0.1-3.tar.gz
-rw-rw-r-- 1 herrold herrold 146925 Nov 18 02:55 ./IBrokers_0.1-3.tar.gz
[herrold@centos-5 R2spec]$


Steps to Reproduce:

As above
  
Actual results:

the error shown

Expected results:

a working .spec and build

Additional info:

Ask if needed
Comment 1 Pierre-YvesChibon 2008-12-05 04:11:43 EST
Thanks for the report :)

I have made the patch and I will integrate it and make a new release soon.

I would like to point you to https://fedorahosted.org/r2spec/ especially the part on configuring R2spec might interest you ;)

Thanks
Comment 2 R P Herrold 2008-12-05 14:47:21 EST
I had read it and the man page, etc ... The issue of write problems was my focus atm.  thanks for the pointer, though
Comment 3 Pierre-YvesChibon 2008-12-07 16:19:54 EST
This one should work :)

http://koji.fedoraproject.org/koji/buildinfo?buildID=73788
Comment 4 R P Herrold 2008-12-07 16:33:08 EST
I confirm the candidate resolves the reported issue.

Thank you
Comment 5 Fedora Update System 2008-12-08 03:21:31 EST
R2spec-2.5.1-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R2spec-2.5.1-6.fc9
Comment 6 Fedora Update System 2008-12-08 03:21:35 EST
R2spec-2.5.1-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/R2spec-2.5.1-6.fc8
Comment 7 Fedora Update System 2008-12-08 03:21:38 EST
R2spec-2.5.1-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R2spec-2.5.1-6.fc10
Comment 8 Fedora Update System 2008-12-09 06:31:07 EST
R2spec-2.5.1-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R2spec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11006
Comment 9 Fedora Update System 2008-12-09 06:34:49 EST
R2spec-2.5.1-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update R2spec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11038
Comment 10 Fedora Update System 2008-12-09 06:37:38 EST
R2spec-2.5.1-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update R2spec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-11053
Comment 11 R P Herrold 2008-12-09 14:17:15 EST
filed feedback upstream
Comment 12 Fedora Update System 2009-01-07 04:10:42 EST
R2spec-2.5.1-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-07 04:26:28 EST
R2spec-2.5.1-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-01-07 04:36:24 EST
R2spec-2.5.1-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.